<template>
  <div class="RegisterComponent">
    <b-icon
      @click="backRestaurant"
      class="rounded-circle bg-dark m-3"
      variant="light"
      icon="arrow-left-circle-fill"
      style="font-size: 30px; z-index: 1; position: absolute"
    ></b-icon>

    <b-card class="mx-5 mb-4 mt-3 text-center">
      <h6>
        <b>AJOUTER UN MENU</b>
      </h6>
    </b-card>

    <b-form>
      <div class="row mx-2 mt-5">
        <div class="col">
          <b-form-input
            id="menu_name"
            v-model="menu.name"
            type="text"
            placeholder="Nom"
            required
          ></b-form-input>
        </div>

        <div class="col">
          <b-form-input
            id="menu_price"
            v-model="menu.price"
            type="text"
            placeholder="Prix"
            required
          ></b-form-input>
        </div>
      </div>

      <div class="mt-3 mx-3">
        <b-form-input
          id="description"
          v-model="menu.description"
          type="text"
          placeholder="Description"
          required
        ></b-form-input>
      </div>

      <div class="row mx-2 mt-3">
        <div class="col-7"></div>
        <div class="col-5">
          <b-button @click="onSubmit" variant="secondary">Ajouter</b-button>
        </div>
      </div>
    </b-form>
  </div>
</template>

<script lang="ts">
import router from "@/router";
import Vue from "vue";
import { mapActions } from "vuex";


export default Vue.extend({
  name: "RegisterComponent",
  props: {},

  data: () => ({
    menu: {
      menu_name: "",
      menu_price: 0,
      description: "",
      choices: [],
      extras: [],
    },
  }),

  methods: {
    ...mapActions(["addMenu"]),
    onSubmit() {
      this.addMenu(this.menu);
    },

    backRestaurant() {
      router.push("/restaurant");
    },
  },
});
</script>

<style scoped></style>
